OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESToBRep

# IGESToBRep_AlgoContainer Class Reference

`#include <IGESToBRep_AlgoContainer.hxx>`

Inheritance diagram for IGESToBRep_AlgoContainer:

[legend]

## Public Member Functions
Standard_EXPORT | IGESToBRep_AlgoContainer ()
| Empty constructor .
void | SetToolContainer (const Handle(IGESToBRep_ToolContainer)&TC)
| Sets ToolContainer .
Handle_IGESToBRep_ToolContainer | ToolContainer () const
| Returns ToolContainer .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESToBRep_ToolContainer | myTC

## Constructor & Destructor Documentation

Standard_EXPORT IGESToBRep_AlgoContainer::IGESToBRep_AlgoContainer | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESToBRep_AlgoContainer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in IGESControl_AlgoContainer.

void IGESToBRep_AlgoContainer::SetToolContainer | ( | const Handle(IGESToBRep_ToolContainer)& | TC | ) | `[inline]`

Handle_IGESToBRep_ToolContainer IGESToBRep_AlgoContainer::ToolContainer | ( |  | ) | const

## Field Documentation

Handle_IGESToBRep_ToolContainer IGESToBRep_AlgoContainer::myTC`[private]`

The documentation for this class was generated from the following files:

- IGESToBRep_AlgoContainer.hxx
- IGESToBRep_AlgoContainer.lxx